package com.foreverwin.mesnac.production.service;

import com.foreverwin.mesnac.meapi.dto.SfcDto;
import com.foreverwin.mesnac.meapi.dto.WorkCenterDto;
import com.foreverwin.mesnac.meapi.model.Sfc;

import java.math.BigDecimal;
import java.util.Map;

public interface PodTemplateService {
    Map<String, Object> resrceEnter(WorkCenterDto workCenterDto);

    Map<String, Object> sfcEnter(SfcDto workCenterDto);

    Object getSfcInfo(SfcDto sfcDto);

    void sfcStart(Map<String, Object> map);

    String sfcComplete(SfcDto sfcDto, String resrce);

    void sendErp(String sfc, String stepId, BigDecimal qty, BigDecimal scrapQty, BigDecimal workHour);

    SfcDto getInfoBySfc(Sfc sfc);

}
